Skip to content
This repository was archived by the owner on Jul 1, 2026. It is now read-only.

Bump golang.org/x/net from 0.46.0 to 0.47.0 in the dependencies group - #16

Merged
user00265 merged 1 commit into
masterfrom
dependabot/go_modules/dependencies-566d3f9281
Nov 16, 2025
Merged

user00265 merged 1 commit into
masterfrom
dependabot/go_modules/dependencies-566d3f9281

Conversation

@dependabot

@dependabot dependabot Bot commented on behalf of github Nov 11, 2025 •

Copy link
Copy Markdown
Contributor

Bumps the dependencies group with 1 update: golang.org/x/net.

Updates golang.org/x/net from 0.46.0 to 0.47.0

Commits
  • 9a29643 go.mod: update golang.org/x dependencies
  • 07cefd8 context: deprecate
  • 5ac9dac publicsuffix: don't treat ip addresses as domain names
  • d1f64cc quic: use testing/synctest
  • fff0469 http2: document that RFC 7540 prioritization does not work with small payloads
  • f35e3a4 http2: fix weight overflow in RFC 7540 write scheduler
  • 89adc90 http2: fix typo referring to RFC 9218 as RFC 9128 instead
  • 8d76a2c quic: don't defer MAX_STREAMS frames indefinitely
  • 027f8b7 quic: fix expected ACK Delay in client's ACK after HANDSHAKE_DONE
  • dec9fe7 dns/dnsmessage: update SVCB packing to prohibit name compression
  • Additional commits viewable in compare view

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot show <dependency name> ignore conditions will show all of the ignore conditions of the specified dependency
  • @dependabot ignore <dependency name> major version will close this group update PR and stop Dependabot creating any more for the specific dependency's major version (unless you unignore this specific dependency's major version or upgrade to it yourself)
  • @dependabot ignore <dependency name> minor version will close this group update PR and stop Dependabot creating any more for the specific dependency's minor version (unless you unignore this specific dependency's minor version or upgrade to it yourself)
  • @dependabot ignore <dependency name> will close this group update PR and stop Dependabot creating any more for the specific dependency (unless you unignore this specific dependency or upgrade to it yourself)
  • @dependabot unignore <dependency name> will remove all of the ignore conditions of the specified dependency
  • @dependabot unignore <dependency name> <ignore condition> will remove the ignore condition of the specified dependency and ignore conditions

@dependabot dependabot Bot added dependencies Pull requests that update a dependency file go Pull requests that update go code labels Nov 11, 2025
@user00265

user00265 commented Nov 11, 2025 •

Copy link
Copy Markdown
Owner

✅ Snyk checks have passed. No issues have been found so far.

Status Scanner Critical High Medium Low Total (0)
✅ Open Source Security 0 0 0 0 0 issues
✅ Code Security 0 0 0 0 0 issues

💻 Catch issues earlier using the plugins for VS Code, JetBrains IDEs, Visual Studio, and Eclipse.

@dependabot
dependabot Bot force-pushed the dependabot/go_modules/dependencies-566d3f9281 branch from a88eb4c to d3f86f1 Compare November 12, 2025 20:52
@dependabot @github

dependabot Bot commented on behalf of github Nov 13, 2025

Copy link
Copy Markdown
Contributor Author

Dependabot tried to update this pull request, but something went wrong. We're looking into it, but in the meantime you can retry the update by commenting @dependabot recreate.

@user00265

Copy link
Copy Markdown
Owner

@dependabot rebase

Bumps the dependencies group with 1 update: [golang.org/x/net](https://github.com/golang/net).


Updates `golang.org/x/net` from 0.46.0 to 0.47.0
- [Commits](golang/net@v0.46.0...v0.47.0)

---
updated-dependencies:
- dependency-name: golang.org/x/net
  dependency-version: 0.47.0
  dependency-type: direct:production
  update-type: version-update:semver-minor
  dependency-group: dependencies
...

Signed-off-by: dependabot[bot] <support@github.com>
@dependabot
dependabot Bot force-pushed the dependabot/go_modules/dependencies-566d3f9281 branch from d3f86f1 to 12c04f4 Compare November 16, 2025 01:42
@user00265
user00265 merged commit 6d9e7db into master Nov 16, 2025
6 checks passed
@user00265
user00265 deleted the dependabot/go_modules/dependencies-566d3f9281 branch November 16, 2025 03:08
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.

Labels

dependencies Pull requests that update a dependency file go Pull requests that update go code

Projects

None yet

Development

Successfully merging this pull request may close these issues.

1 participant